Name: lbuscd
Version: 0.6
Release: alt0.3
Summary: LTSP.org's %name
License: GPL2
Group: Networking/Remote access
URL: http://www.ltsp.org
Source0: ftp://ltsp.mirrors.tds.net/pub/ltsp/tarballs/%name-%version.tar.bz2
# cvs -d :pserver:anonymous@cvs.ltsp.org:/usr/local/cvsroot checkout %name
Source1: add_fstab_entry
Source2: remove_fstab_entry
Source3: ltsp-udev.rules
Requires: udev
AutoReq: yes, noshell

BuildRequires: libpopt-devel

%description
The 'lbus' is a network channel created between the LTSP client and the
session running on the server. It's a way of passing device events from
the thin client to the server session, so that cool things will happen,
like icons appearing on the desktop when a USB Memory stick is plugged
in.
%name runs on the LTSP client and receives events from udev and also
accepts connections from the server session. When a new device event is
received, a message will be sent through the network connection to the
server.


%prep
%setup


%build
%define _optlevel s
%configure
%make_build


%install
%make_install DESTDIR=%buildroot bindir=%_sbindir install
install -d -m 0755 %buildroot{%_sysconfdir/udev/rules.d,/lib/udev}
install -m 0755 %SOURCE1 %buildroot/lib/udev/add_fstab_entry
install -m 0755 %SOURCE2 %buildroot/lib/udev/remove_fstab_entry
install -m 0644 %SOURCE3 %buildroot%_sysconfdir/udev/rules.d/88-ltsp.rules


%files
%doc README
%_sbindir/*
/lib/udev/*
%_sysconfdir/udev/rules.d/*


%changelog
* Wed May 16 2007 Led <led@altlinux.ru> 0.6-alt0.3
- fixed add_fstab_entry: set vfat FS type for floppy

* Mon May 07 2007 Led <led@altlinux.ru> 0.6-alt0.2
- added udev rules and scripts for mount local devices

* Fri Apr 06 2007 Led <led@altlinux.ru> 0.6-alt0.1
- initial build
